//---------------------------------------------------------------------------

#ifndef FormSettingsH
#define FormSettingsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
#include <vector>
#include <string>

class TfrmSettings : public TForm
{
__published:	// IDE-managed Components
	TComboBox *cbCaptureDevices;
	TLabel *lblCaptureDevice;
	void __fastcall cbCaptureDevicesChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TfrmSettings(TComponent* Owner);
	void SetDevicesList(std::vector<std::string> devices);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmSettings *frmSettings;
//---------------------------------------------------------------------------
#endif
